OpenVDB 7.0.0

Public Member Functions | Public Attributes | List of all members
LeafIndexOp< LeafType > Struct Template Reference

Functor for use with LeafManager::foreach() to populate active leaf voxels with sequential indices. More...

`#include <PoissonSolver.h>`

## Public Member Functions
| LeafIndexOp (const VIndex *count_)
void | operator() (LeafType &leaf, size_t leafIdx) const

## Public Attributes
const VIndex * | count

## Detailed Description

### template<typename LeafType>
struct openvdb::v7_0::tools::poisson::internal::LeafIndexOp< LeafType >

Functor for use with LeafManager::foreach() to populate active leaf voxels with sequential indices.

## Constructor & Destructor Documentation

## ◆ LeafIndexOp()

LeafIndexOp | ( | const VIndex * | count_ | ) |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | LeafType & | leaf,
|  | size_t | leafIdx
| ) |  | const
| inline

## Member Data Documentation

## ◆ count

const VIndex* count

The documentation for this struct was generated from the following file:

- PoissonSolver.h